# coding: utf-8

"""
    URL Shortener API

    This API is responsible of authetication and the creation, modification and deletion of uris and hooks.  # noqa: E501

    OpenAPI spec version: 1.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six


class HookTrigger(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'clicks': 'int',
        'minutes': 'int'
    }

    attribute_map = {
        'clicks': 'clicks',
        'minutes': 'minutes'
    }

    def __init__(self, clicks=None, minutes=None):  # noqa: E501
        """HookTrigger - a model defined in Swagger"""  # noqa: E501
        self._clicks = None
        self._minutes = None
        self.discriminator = None
        if clicks is not None:
            self.clicks = clicks
        if minutes is not None:
            self.minutes = minutes

    @property
    def clicks(self):
        """Gets the clicks of this HookTrigger.  # noqa: E501


        :return: The clicks of this HookTrigger.  # noqa: E501
        :rtype: int
        """
        return self._clicks

    @clicks.setter
    def clicks(self, clicks):
        """Sets the clicks of this HookTrigger.


        :param clicks: The clicks of this HookTrigger.  # noqa: E501
        :type: int
        """

        self._clicks = clicks

    @property
    def minutes(self):
        """Gets the minutes of this HookTrigger.  # noqa: E501


        :return: The minutes of this HookTrigger.  # noqa: E501
        :rtype: int
        """
        return self._minutes

    @minutes.setter
    def minutes(self, minutes):
        """Sets the minutes of this HookTrigger.


        :param minutes: The minutes of this HookTrigger.  # noqa: E501
        :type: int
        """

        self._minutes = minutes

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(HookTrigger, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, HookTrigger):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
